/* ************************************************************************************************************************************************ *
 * MetaStack Solutions Ltd.                                                                                                                         *
 * ************************************************************************************************************************************************ *
 * Westminster Cathedral Electronic Signup System                                                                                                   *
 * ************************************************************************************************************************************************ *
 * Cascading Style Sheet - MooTools Related Styles                                                                                                  *
 * ************************************************************************************************************************************************ *
 * Copyright (c) 2010 MetaStack Solutions Ltd.                                                                                                      *
 * ************************************************************************************************************************************************ *
 * Author: David Allsopp                                                                                                                            *
 * 6-Jan-2010                                                                                                                                       *
 * ************************************************************************************************************************************************ */

.spinner-content
{
  position: absolute;
  width: 100%;
  top: 50%;
  display: block;
}

.spinner
{
  position: absolute;
  opacity: 0.2;
  filter: alpha(opacity=20);
  z-index: 999;
  background: lightgrey;
}

.spinner-msg
{
  text-align: center;
  font-weight: bold;
  padding-bottom: 5px;
}

.spinner-img
{
  background: url('images/spinner.gif') no-repeat;
  width: 16px;
  height: 16px;
  margin: 0 auto;
}

ul.autocompleter-choices
{
	position:				absolute;
	margin:					0;
	padding:				0;
	list-style:				none;
	border:					1px solid #7c7c7c;
	border-left-color:		#c3c3c3;
	border-right-color:		#c3c3c3;
	border-bottom-color:	#ddd;
	background-color:		#fff;
	text-align:				left;
	font-family:			Verdana, Geneva, Arial, Helvetica, sans-serif;
	z-index:				50;
	background-color:		#fff;
}

ul.autocompleter-choices li
{
	position:				relative;
	margin:					-2px 0 0 0;
	padding:				0.2em 1.5em 0.2em 1em;
	display:				block;
	float:					none !important;
	cursor:					pointer;
	font-weight:			normal;
	white-space:			nowrap;
	font-size:				1em;
	line-height:			1.5em;
}

ul.autocompleter-choices li.autocompleter-selected
{
	background-color:		#444;
	color:					#fff;
}

ul.autocompleter-choices span.autocompleter-queried
{
	display:				inline;
	float:					none;
	font-weight:			bold;
	margin:					0;
	padding:				0;
  /* @@DRA Temporary */
  color: red;
}

ul.autocompleter-choices li.autocompleter-selected span.autocompleter-queried
{
	color:					#9FCFFF;
}
/* General */

.calendar-eightysix.fulldisp
{
  position: inherit;
  z-index: inherit;
}

.calendar-eightysix {
	cursor: default;
	position: absolute;
	z-index: 999;
	text-align: center;
}
	.calendar-eightysix, .calendar-eightysix * {
		overflow: hidden;
		padding: 0;
		margin: 0;
		line-height: 100%;
	}
		.calendar-eightysix .c86-header.c86-dragger {
			cursor: move;
		}
		
			.calendar-eightysix .c86-header .c86-arrow-left, .calendar-eightysix .c86-header .c86-arrow-right {
				cursor: pointer;
			}
			.calendar-eightysix .c86-header .c86-arrow-left {
				float: left;
			}
			.calendar-eightysix .c86-header .c86-arrow-right {
				float: right;
			}
			
			.calendar-eightysix .c86-header .c86-label {
				display: inline-block;
				overflow: visible;
				width: 146px;
			}
				.calendar-eightysix .c86-header .c86-label.c86-clickable {
					cursor: pointer;
				}
		
		.calendar-eightysix .c86-body {
			position: relative;
		}
			.calendar-eightysix .c86-body .c86-inner .c86-container {
				position: absolute;
				left: 0;
			}
				
				.calendar-eightysix .c86-body .c86-inner .c86-container .c86-row div {
					float: left;
				}
				
					.calendar-eightysix .c86-body .c86-inner .c86-container.c86-month.c86-pickable .c86-row div,
					  .calendar-eightysix .c86-body .c86-inner .c86-container.c86-year-decade .c86-row div {
						cursor: pointer;
					}

/* Specific */

.calendar-eightysix.default {
	width: 216px;
	height: 170px;
	background: url('images/default-background.png') center no-repeat;
	font-family: Trebuchet, Tahoma, Arial, sans-serif;
	font-size: 11px;
	color: #888;
}
*html .calendar-eightysix.default { /* IE6 png fix */
	background-image: url('images/default-background.gif');
}

	.calendar-eightysix.default .c86-wrapper {
		padding: 8px;
	}
		
		/* Header */
		
		.calendar-eightysix.default .c86-header {
			height: 25px;
		}
		
			.calendar-eightysix.default .c86-header .c86-arrow-left, .calendar-eightysix.default .c86-header .c86-arrow-right {
				width: 12px;
				height: 13px;
				margin: 6px 7px;
			}
			.calendar-eightysix.default .c86-header .c86-arrow-left {
				background: transparent url('images/default-arrow-left.png') center no-repeat;
			}
				*html .calendar-eightysix.default .c86-header .c86-arrow-left { /* IE6 png fix */
					background: none;
					filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='images/default-arrow-left.png', sizingMethod='scale');
				}
				.calendar-eightysix.default .c86-header .c86-arrow-left:hover {
					background-image: url('images/default-arrow-left-hover-blue.png');
				}
			.calendar-eightysix.default .c86-header .c86-arrow-right {
				background: transparent url('images/default-arrow-right.png') center no-repeat;
			}
				*html .calendar-eightysix.default .c86-header .c86-arrow-right { /* IE6 png fix */
					background: none;
					filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='images/default-arrow-right.png', sizingMethod='scale');
				}
				.calendar-eightysix.default .c86-header .c86-arrow-right:hover {
					background-image: url('images/default-arrow-right-hover-blue.png');
				}
			
			.calendar-eightysix.default .c86-header .c86-label {
				margin-top: 7px;
				color: #8399a6;
			}
				.calendar-eightysix.default .c86-header .c86-label.c86-clickable:hover {
					color: #b2cfe1;
				}
		
		/* Body */
		
		.calendar-eightysix.default .c86-body {
			height: 126px;
		}
			
			.calendar-eightysix.default .c86-body .c86-inner .c86-container {
				width: 200px;
				height: 126px;
			}
			
			/* General container */
			
			.calendar-eightysix.default .c86-body .c86-inner .c86-container .c86-row {
				width: 200px;
        background-color: white;
			}
				.calendar-eightysix.default .c86-body .c86-inner .c86-container .c86-row.c86-even,
				  .calendar-eightysix.default .c86-body .c86-inner .c86-container .c86-row.c86-even div {
					background-color: #eee;
				}
				.calendar-eightysix.default .c86-body .c86-inner .c86-container .c86-row.c86-odd div {
					background-color: #fff;
				}
				
				.calendar-eightysix.default .c86-body .c86-inner .c86-container .c86-row div.c86-today {
					text-decoration: underline;
				}
				.calendar-eightysix.default .c86-body .c86-inner .c86-container .c86-row div.c86-selected {
					font-weight: bold;
					color: #8eaec1 !important;
				}
				
				.calendar-eightysix.default .c86-body .c86-inner .c86-container .c86-row div.c86-non-selectable,
				  .calendar-eightysix.default .c86-body .c86-inner .c86-container .c86-row div.c86-non-selectable:hover {
					color: #dcdcdc !important;
					cursor: default !important;
				}
			
			/* Month */
			
			.calendar-eightysix.default .c86-body .c86-inner .c86-container.c86-month .c86-row.a div {
				cursor: default !important;
				color: #888 !important;
			}
			
			.calendar-eightysix.default .c86-body .c86-inner .c86-container.c86-month .c86-row {
				height: 18px;
			}
				
				.calendar-eightysix.default .c86-body .c86-inner .c86-container.c86-month .c86-row div {
					padding-top: 3px;
					width: 24px;
          height: 15px;
				}
				
				.calendar-eightysix.default .c86-body .c86-inner .c86-container.c86-month .c86-row div.c86-first {
					margin-left: 16px;
				}
				.calendar-eightysix.default .c86-body .c86-inner .c86-container.c86-month .c86-row div.c86-last {
					margin-right: 16px;
				}
				
				.calendar-eightysix.default .c86-body .c86-inner .c86-container.c86-month .c86-row div.c86-outside {
					color: #dedede;
				}
				.calendar-eightysix.default .c86-body .c86-inner .c86-container.c86-month .c86-row.c86-even div.c86-outside {
					color: #cecece;
				}				
					.calendar-eightysix.default .c86-body .c86-inner .c86-container.c86-month .c86-row.a div {
						color: #9c9c9c;
					}
		
			/* Year & decade */
			
			.calendar-eightysix.default .c86-body .c86-inner .c86-container.c86-year-decade .c86-row {
				height: 42px;
			}
				.calendar-eightysix.default .c86-body .c86-inner .c86-container.c86-year-decade .c86-row div {
					width: 42px;
					padding-top: 15px;
					height: 29px;
				}
					.calendar-eightysix.default .c86-body .c86-inner .c86-container.c86-year-decade .c86-row div.c86-first {
						margin-left: 16px;
					}
					.calendar-eightysix.default .c86-body .c86-inner .c86-container.c86-year-decade .c86-row div.c86-last {
						margin-right: 16px;
					}
					
					*html .calendar-eightysix.default .c86-body .c86-inner .c86-container.c86-year-decade .c86-row div.c86-first { /* IE6 fix */
						margin-left: 9px;
					}
					*html .calendar-eightysix.default .c86-body .c86-inner .c86-container.c86-year-decade .c86-row div.c86-last { /* IE6 fix */
						margin-right: 9px;
					}
					
					.calendar-eightysix.default .c86-body .c86-inner .c86-container.c86-month.c86-pickable .c86-row div:hover,
					  .calendar-eightysix.default .c86-body .c86-inner .c86-container.c86-year-decade .c86-row div:hover {
						color: #b2cfe1;
					}
		
		.calendar-eightysix.default .c86-body .c86-inner .c86-container.c86-year-decade .c86-row div.c86-outside {
					color: #dedede;
				}

		/* Footer */
		
		.calendar-eightysix.default .c86-footer {
			background: transparent url('images/default-footer-blue.png') top no-repeat;
			height: 4px;
		}
				*html .calendar-eightysix.default .c86-footer { /* IE6 png fix */
					background: none;
					filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='images/default-footer-blue.png', sizingMethod='scale');
				}


/* Red style */

.calendar-eightysix.default.red .c86-header .c86-arrow-left:hover {
	background-image: url('images/default-arrow-left-hover-red.png');
}
.calendar-eightysix.default.red .c86-header .c86-arrow-right:hover {
	background-image: url('images/default-arrow-right-hover-red.png');
}
.calendar-eightysix.default.red .c86-header .c86-label {
	color: #d13a3a;
}
	.calendar-eightysix.default.red .c86-header .c86-label.c86-clickable:hover {
		color: #d06d6d;
	}
.calendar-eightysix.default.red .c86-footer {
	background-image: url('images/default-footer-red.png');
}
	*html .calendar-eightysix.default.red .c86-footer { /* IE6 png fix */
		background: none;
		filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='images/default-footer-red.png', sizingMethod='scale');
	}
.calendar-eightysix.default.red .c86-body .c86-inner .c86-container.c86-month.c86-pickable .c86-row div:hover,
  .calendar-eightysix.default.red .c86-body .c86-inner .c86-container.c86-year-decade .c86-row div:hover {
	color: #b90000;
}
.calendar-eightysix.default.red .c86-body .c86-inner .c86-container .c86-row div.c86-selected {
	color: #b90000 !important;
}

/* Green style */

.calendar-eightysix.default.green .c86-header .c86-arrow-left:hover {
	background-image: url('images/default-arrow-left-hover-green.png');
}
.calendar-eightysix.default.green .c86-header .c86-arrow-right:hover {
	background-image: url('images/default-arrow-right-hover-green.png');
}
.calendar-eightysix.default.green .c86-header .c86-label {
	color: #73a642;
}
	.calendar-eightysix.default.green .c86-header .c86-label.c86-clickable:hover {
		color: #73a642;
	}
.calendar-eightysix.default.green .c86-footer {
	background-image: url('images/default-footer-green.png');
}
	*html .calendar-eightysix.default.green .c86-footer { /* IE6 png fix */
		background: none;
		filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src='images/default-footer-green.png', sizingMethod='scale');
	}
.calendar-eightysix.default.green .c86-body .c86-inner .c86-container.c86-month.c86-pickable .c86-row div:hover,
  .calendar-eightysix.default.green .c86-body .c86-inner .c86-container.c86-year-decade .c86-row div:hover {
	color: #73a642;
}
.calendar-eightysix.default.green .c86-body .c86-inner .c86-container .c86-row div.c86-selected {
	color: #9abd79 !important;
}

/* Specifc */

.calendar-eightysix.vista {
	width: 190px;
	height: 154px;
  /* The 'fixed' is necessary for FF/Opera */
	background: url('images/vista-background.png') -4px -4px;
	font-family: Calibri, Helvetica, Trebuchet, Tahoma, Arial, sans-serif;
	font-size: 12px;
	color: #000;
}
*html .calendar-eightysix.vista {
	background-image: url('images/vista-background.gif');
}

	.calendar-eightysix.vista .c86-wrapper {
		padding: 16px;
	}
		
		/* Header */
		
		.calendar-eightysix.vista .c86-header {
			height: 22px;
		}
		
			.calendar-eightysix.vista .c86-header .c86-arrow-left, .calendar-eightysix.vista .c86-header .c86-arrow-right {
				width: 12px;
				height: 16px;
			}
			.calendar-eightysix.vista .c86-header .c86-arrow-left {
				background: transparent url('images/vista-arrow-left.gif') 5px 3px no-repeat;
			}
				.calendar-eightysix.vista .c86-header .c86-arrow-left:hover {
					background-image: url('images/vista-arrow-left-hover.gif');
				}
			.calendar-eightysix.vista .c86-header .c86-arrow-right {
				background: transparent url('images/vista-arrow-right.gif') 3px 3px no-repeat;
			}
				.calendar-eightysix.vista .c86-header .c86-arrow-right:hover {
					background-image: url('images/vista-arrow-right-hover.gif');
				}
			
			.calendar-eightysix.vista .c86-header .c86-label {
				margin-top: 1px;
				width: 120px;
			}
			.calendar-eightysix.vista .c86-header .c86-label.c86-clickable:hover {
				color: #06c;
			}
		
		/* Body */
		
		.calendar-eightysix.vista .c86-body {
			height: 108px;
		}
			
			.calendar-eightysix.vista .c86-body .c86-inner .c86-container {
				width: 166px;
				height: 108px;
			}
			
			/* General container */
			
			.calendar-eightysix.vista .c86-body .c86-inner .c86-container .c86-row {
				width: 166px;
			}
			
				.calendar-eightysix.vista .c86-body .c86-inner .c86-container .c86-row div {
					background-color: #fff;
				}
			
				.calendar-eightysix.vista .c86-body .c86-inner .c86-container .c86-row div.c86-non-selectable,
				  .calendar-eightysix.vista .c86-body .c86-inner .c86-container .c86-row div.c86-non-selectable:hover {
					color: #dcdcdc !important;
					cursor: default !important;
					background: none !important;
				}
			
			/* Month */
			
			.calendar-eightysix.vista .c86-body .c86-inner .c86-container.c86-month .c86-row {
				height: 122px;
				height: 15px;
			}
				.calendar-eightysix.vista .c86-body .c86-inner .c86-container.c86-month .c86-row.a {
					height: 16px;
					border-bottom: 1px solid #f5f5f5;
					margin-bottom: 1px;
				}
				
			.calendar-eightysix.vista .c86-body .c86-inner .c86-container.c86-month .c86-row.a div {
				cursor: default !important;
				color: #9c9c9c !important;
			}
				
				.calendar-eightysix.vista .c86-body .c86-inner .c86-container.c86-month .c86-row div {
					padding-top: 1px;
					width: 23px;
					height: 14px;
				}
				
				.calendar-eightysix.vista .c86-body .c86-inner .c86-container.c86-month .c86-row div.c86-outside {
					color: #dcdcdc;
				}				
					.calendar-eightysix.vista .c86-body .c86-inner .c86-container.c86-month .c86-row.a div {
						color: #9c9c9c;
					}
					
			.calendar-eightysix.vista .c86-body .c86-inner .c86-container.c86-month.c86-pickable .c86-row div:hover {
				background: url('images/vista-day.gif') top no-repeat;
			}
				.calendar-eightysix.vista .c86-body .c86-inner .c86-container.c86-month .c86-row div.c86-today {
					background: url('images/vista-day.gif') 0 -17px no-repeat;
				}
					.calendar-eightysix.vista .c86-body .c86-inner .c86-container.c86-month .c86-row div.c86-today:hover {
						background: url('images/vista-day.gif') 0 -34px no-repeat;
					}
				.calendar-eightysix.vista .c86-body .c86-inner .c86-container.c86-month .c86-row div.c86-selected {
					background: url('images/vista-day.gif') 0 -51px no-repeat;
					color: #06c !important;
				}
					.calendar-eightysix.vista .c86-body .c86-inner .c86-container.c86-month .c86-row div.c86-selected:hover {
						background: url('images/vista-day.gif') 0 -68px no-repeat;
					}
				.calendar-eightysix.vista .c86-body .c86-inner .c86-container.c86-month .c86-row div.c86-today.c86-selected {
					background: url('images/vista-day.gif') 0 -85px no-repeat;
				}
					.calendar-eightysix.vista .c86-body .c86-inner .c86-container.c86-month .c86-row div.c86-today.c86-selected:hover {
						background: url('images/vista-day.gif') 0 -102px no-repeat;
					}
		
			/* Year & decade */
			
			.calendar-eightysix.vista .c86-body .c86-inner .c86-container.c86-year-decade .c86-row {
				height: 36px;
			}
				.calendar-eightysix.vista .c86-body .c86-inner .c86-container.c86-year-decade .c86-row div {
					width: 41px;
					padding-top: 11px;
					height: 24px;
				}
				
				.calendar-eightysix.vista .c86-body .c86-inner .c86-container.c86-year-decade .c86-row div:hover {
					background: url('images/vista-year-decade.gif') top no-repeat;
				}
					.calendar-eightysix.vista .c86-body .c86-inner .c86-container.c86-year-decade .c86-row div.c86-today {
						background: url('images/vista-year-decade.gif') 0 -37px no-repeat;
					}
						.calendar-eightysix.vista .c86-body .c86-inner .c86-container.c86-year-decade .c86-row div.c86-today:hover {
							background: url('images/vista-year-decade.gif') 0 -74px no-repeat;
						}
					.calendar-eightysix.vista .c86-body .c86-inner .c86-container.c86-year-decade .c86-row div.c86-selected {
						background: url('images/vista-year-decade.gif') 0 -111px no-repeat;
						color: #06c !important;
					}
						.calendar-eightysix.vista .c86-body .c86-inner .c86-container.c86-year-decade .c86-row div.c86-selected:hover {
							background: url('images/vista-year-decade.gif') 0 -149px no-repeat;
						}
					.calendar-eightysix.vista .c86-body .c86-inner .c86-container.c86-year-decade .c86-row div.c86-today.c86-selected {
						background: url('images/vista-year-decade.gif') 0 -187px no-repeat;
					}
						.calendar-eightysix.vista .c86-body .c86-inner .c86-container.c86-year-decade .c86-row div.c86-today.c86-selected:hover {
							background: url('images/vista-year-decade.gif') 0 -225px no-repeat;
						}
			
			.calendar-eightysix.vista .c86-body .c86-inner .c86-container.c86-month.c86-pickable .c86-row div:hover,
			  .calendar-eightysix.vista .c86-body .c86-inner .c86-container.c86-year-decade .c86-row div:hover {
				color: #06c;
			}
		
		/* Footer */
		
		.calendar-eightysix.vista .c86-footer {
			display: none;
		}
